Package org.apache.struts2.validator.validators

# Class URLValidator

java.lang.Object
org.apache.struts2.validator.validators.ValidatorSupport
org.apache.struts2.validator.validators.FieldValidatorSupport
org.apache.struts2.validator.validators.URLValidator

All Implemented Interfaces:
  `FieldValidator`, `ShortCircuitableValidator`, `Validator`

public class URLValidator extends FieldValidatorSupport
URLValidator checks that a given field is a String and a valid URL

     <validators>
          <!-- Plain Validator Syntax -->
          <validator type="url">
              <param name="fieldName">myHomePage</param>
              <message>Invalid homepage url</message>
          </validator>

          <!-- Field Validator Syntax -->
          <field name="myHomepage">
              <field-validator type="url">
                  <message>Invalid homepage url</message>
              </field-validator>
          </field>
     </validators>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_URL_REGEX`

  ### Fields inherited from class org.apache.struts2.validator.validators.FieldValidatorSupport

  `currentValue, fieldName, type`

  ### Fields inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `URLValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Pattern`
  `getUrlPattern()`
  `String`
  `getUrlRegex()`
  This is used to support client-side validation, it's based on http://stackoverflow.com/questions/161738/what-is-the-best-regular-expression-to-check-if-a-string-is-a-valid-url
  `void`
  `setUrlRegex(String urlRegex)`
  `void`
  `setUrlRegexExpression(String urlRegexExpression)`
  `void`
  `validate(Object object)`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
  `protected void`
  `validateValue(Object object, Object value)`

  ### Methods inherited from class org.apache.struts2.validator.validators.FieldValidatorSupport

  `getCurrentValue, getFieldName, getValidatorType, setFieldName, setValidatorType`

  ### Methods inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValueStack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.struts2.validator.Validator

  `getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

- ## Field Details

  - ### DEFAULT_URL_REGEX

    public static final String DEFAULT_URL_REGEX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### URLValidator

    public URLValidator()

- ## Method Details

  - ### validate

    public void validate(Object object) throws ValidationException
    Description copied from interface: `Validator`
    The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
    Parameters:
      `object` - the object to be validated.
    Throws:
      `ValidationException` - is thrown if there is validation error(s).

  - ### validateValue

    protected void validateValue(Object object, Object value)

  - ### getUrlPattern

    protected Pattern getUrlPattern()

  - ### getUrlRegex

    public String getUrlRegex()
    This is used to support client-side validation, it's based on http://stackoverflow.com/questions/161738/what-is-the-best-regular-expression-to-check-if-a-string-is-a-valid-url
    Returns:
      regex to validate URLs

  - ### setUrlRegex

    public void setUrlRegex(String urlRegex)

  - ### setUrlRegexExpression

    public void setUrlRegexExpression(String urlRegexExpression)